Subject: Re: bug#57559: guix pull fails on http status code 503

From: André A. Gomes <[email-masked]>
Date: Sun, 04 Sep 2022 23:27:01 +0300

Maxime Devos <[email-masked]> writes:

> More concretely:
>
> * if all channels are available --> ok, keep status quo
> * if no channels are available --> error, keep status quo
> * if some but not all channels are available, and there is at least one
>   updated channel --> log the missing channels, and update the channels
>   that _are_ available (but don't 'ignore' the missing channels by
>   removing them!).
> * if some but not all channels are available, and none of the available
>   channels were updated --> bail out, no progress was made and this
>   might be due to lack of connectivity instead of lack of updates.
>
> ?
>
> Technically, your message can be interpreted as: if I only have a single
> channel, the Guix channel, and it isn't available, it should be possible
> to ignore it and proceed. (Proceed with what? It's the only channel,
> what is there to proceed with.)  To actually implement this, we need to
> be precise.

I'm just a user and unfortunately I don't have a deep understanding of
Guix's internals.

Your concrete description seems to resonate with my expectations.

Thanks.

-- 
André A. Gomes
"You cannot even find the ruins..."